package cn.com.countrygarden.bi.main.model.performance;

import java.util.Date;

/**
 * 绩效考核对象实体类
 *
 * @Author: Wyman
 * @Date 2018/10/19
 */
public class PerformanceArea {

    private int areaId;//区域id

    private String typeNo;//分类编码

    private String hierachyId;//层级id

    private String hierachyName;//层级名称

    private String subType;//细分类型

    private short isDelete;//是否删除，0-未删除 1-已删除

    private Date createDate;

    private String createBy;

    private Date updateDate;

    private String updateBy;

    public PerformanceArea(){

    }



    public PerformanceArea(int areaId, String typeNo, String hierachyId, String hierachyName, String subType, short isDelete, Date createDate, String createBy, Date updateDate, String updateBy) {
        this.areaId = areaId;
        this.typeNo = typeNo;
        this.hierachyId = hierachyId;
        this.hierachyName = hierachyName;
        this.subType = subType;
        this.isDelete = isDelete;
        this.createDate = createDate;
        this.createBy = createBy;
        this.updateDate = updateDate;
        this.updateBy = updateBy;
    }

    public int getAreaId() {
        return areaId;
    }

    public void setAreaId(int areaId) {
        this.areaId = areaId;
    }

    public String getTypeNo() {
        return typeNo;
    }

    public void setTypeNo(String typeNo) {
        this.typeNo = typeNo;
    }

    public String getHierachyId() {
        return hierachyId;
    }

    public void setHierachyId(String hierachyId) {
        this.hierachyId = hierachyId;
    }

    public String getHierachyName() {
        return hierachyName;
    }

    public void setHierachyName(String hierachyName) {
        this.hierachyName = hierachyName;
    }

    public String getSubType() {
        return subType;
    }

    public void setSubType(String subType) {
        this.subType = subType;
    }

    public short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(short isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;

    }
}
